com.amazonaws.services.machinelearning.model

## Enum MLModelFilterVariable

- java.lang.Object
- - java.lang.Enum<MLModelFilterVariable>
  - - com.amazonaws.services.machinelearning.model.MLModelFilterVariable

All Implemented Interfaces:
  Serializable, Comparable<MLModelFilterVariable>

    public enum MLModelFilterVariable
    extends Enum<MLModelFilterVariable>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Algorithm`
`CreatedAt`
`IAMUser`
`LastUpdatedAt`
`MLModelType`
`Name`
`RealtimeEndpointStatus`
`Status`
`TrainingDataSourceId`
`TrainingDataURI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MLModelFilterVariable` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static MLModelFilterVariable` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MLModelFilterVariable[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CreatedAt

    public static final MLModelFilterVariable CreatedAt

#### LastUpdatedAt

    public static final MLModelFilterVariable LastUpdatedAt

#### Status

    public static final MLModelFilterVariable Status

#### Name

    public static final MLModelFilterVariable Name

#### IAMUser

    public static final MLModelFilterVariable IAMUser

#### TrainingDataSourceId

    public static final MLModelFilterVariable TrainingDataSourceId

#### RealtimeEndpointStatus

    public static final MLModelFilterVariable RealtimeEndpointStatus

#### MLModelType

    public static final MLModelFilterVariable MLModelType

#### Algorithm

    public static final MLModelFilterVariable Algorithm

#### TrainingDataURI

    public static final MLModelFilterVariable TrainingDataURI

### Method Detail

#### values

    public static MLModelFilterVariable[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MLModelFilterVariable c : MLModelFilterVariable.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MLModelFilterVariable valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MLModelFilterVariable>`

#### fromValue

    public static MLModelFilterVariable fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  MLModelFilterVariable corresponding to the value